<?php 

/*-----------------------------------------------------------------------------------*/
/*	Froday Coupon
/*-----------------------------------------------------------------------------------*/

function froday_coupon($atts){
	extract(shortcode_atts(array(
       	'posts'           => '8',
       	'categories'      => 'all',
        'filter'    	  => '',
        'column_count'    => '',
        'build_query'     => '',
        'activate_pagination'   => '',
        'subscribe_title'       => '',
        'subscribe_subtitle'    => '',
        'subscribe_form_id'     => '',
        'type'                  => '',
        'column_count'          => 'col-md-3',
        'translate_expires'     => 'Expires On',
        'translate_showcode'    => 'Show Code',
        'translate_clickbelow'  => 'Click below to get your coupon code',
       	'link'           => '',
       	'title'           => '',
       	'headertype'           => '',
        'custom_id'  => '',
    ), $atts));
    
	global $post,$wp_query;
	$out = '';
	$outhead = '';
	$out2 = '';
	
	list($args) = vc_build_loop_query($build_query);
	if(is_front_page()){
	$args['paged'] = (get_query_var('page')) ? get_query_var('page') : 1;
	} else {
	$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
	}
	$args['post_type'] = 'shop_coupon';
	query_posts( $args );
	

	if($headertype == 'type1'){
		$link = ( '||' === $link ) ? '' : $link;
		$link = vc_build_link( $link );
		$a_href = $link['url'];
		$a_title = $link['title'];
		$a_target = $link['target'];
		if($a_title || $title){
		$outhead .= '<header class="panel ptb-15 prl-20 pos-r mb-30">';
		$outhead .= '<h3 class="section-title font-18">'.esc_html($title).'</h3>';
		if($a_title){
		$outhead .= '<a class="btn btn-o btn-xs pos-a right-10 pos-tb-center" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
		}
		$outhead .= '</header>';
		}
	} else {
		$outhead .= '<header class="page-control panel ptb-15 prl-20 pos-r mb-30">';		
		$outhead .= '<ul class="list-control-view list-inline">';
		$outhead .= '<li><a href="#" id="coupon_list_view"><i class="fa fa-bars"></i></a>';
		$outhead .= '</li>';
		$outhead .= '<li><a href="#" id="coupon_grid_view" class="current"><i class="fa fa-th"></i></a>';
		$outhead .= '</li>';
		$outhead .= '</ul>';
		$outhead .= '</header>';
	}

	$count = 0;
	if( have_posts() ) : while ( have_posts() ) : the_post();

		$mustlogin = get_post_meta( get_the_ID(), 'klb_must_login', true );

		$destination_url = get_post_meta( get_the_ID(), 'klb_coupon_destination_url', true );
		$blog_thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "froday-portfolio-thumb" );
		$blog_image= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "full" );				 
		$image = froday_resize( $blog_image[0], 457, 393, true, true, true );
		
		$coupon = new WC_Coupon(get_the_ID());
		$expiry_date = $coupon->expiry_date;
		$coupon_amount = get_post_meta( get_the_ID(), 'coupon_amount', true );
		$discount_type = get_post_meta( get_the_ID(), 'discount_type', true );

		
		if($type == 'list'){
		$titleid = get_the_title();
		$strid =  preg_replace('/[^a-zA-Z0-9-_\.]/','', $titleid); 

		$out .= '<div class="col-xs-12">';
		$out .= '<div class="coupon-single panel t-center t-sm-left">';
		$out .= '<div class="row row-sm-cell row-tb-0 row-rl-0">';
		$out .= '<div class="col-sm-5">';
		$out .= '<figure class="p-15">';
		$out .= '<img class="store-logo" src="'.esc_url($blog_thumbnail[0]).'" alt="'.esc_attr__('storelogo','klb-shortcode').'">';
		$out .= '</figure>';
		$out .= '</div>';
		$out .= '<div class="col-sm-7">';
		$out .= '<div class="panel-body">';
		$out .= '<ul class="deal-meta list-inline mb-10">';
		$out .= froday_location_name();
		$out .= '<li class="color-muted"><i class="ico lnr lnr-store mr-5"></i>'.froday_store_title().'</li>';
		$out .= '</ul>';
		$out .= '<h5 class="deal-title mb-10">';
		$out .= '<a>'.get_the_excerpt().'</a>';
		$out .= '</h5>';
		if($expiry_date){
		$out .= '<p class="mb-15 color-muted font-12"><i class="lnr lnr-clock mr-10"></i>'.esc_html($translate_expires).' '.$expiry_date.'</p>';
		}
		$out .= '<div class="showcode">';
		$out .= '<button class="show-code btn btn-sm btn-block" data-toggle="modal" data-target="#'.esc_attr($custom_id).''.esc_attr($strid.get_the_ID()).'">'.esc_html($translate_showcode).'</button>';

		if($mustlogin){
			if(is_user_logged_in()){
				$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
			} else {
				$out .= '<div class="coupon-hide">'.esc_html__('Please Log In','froday').'</div>';
			}
		} else {
			$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
		}

		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		



?>

<script>
function frodayCopy<?php echo esc_html($custom_id); ?>_<?php echo esc_html($count); ?>() {
  var copyText = document.getElementById("<?php echo esc_html($custom_id); ?><?php echo esc_attr($strid); ?><?php echo esc_html($count); ?>");
  copyText.select();
  document.execCommand("copy");
  copyText.classList.add("copied");
  <?php if($destination_url){ ?>
	window.open('<?php echo esc_url($destination_url); ?>','_blank');
  <?php } ?>
}


</script>

<?php
		$out .= '<div class="modal fade get-coupon-area" tabindex="-1" role="dialog" id="'.esc_attr($custom_id).''.esc_attr($strid.get_the_ID()).'">';
		$out .= '<div class="modal-dialog">';
		$out .= '<div class="modal-content panel">';
		$out .= '<div class="modal-body">';
		$out .= '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
		$out .= '<div class="row row-v-10">';
		$out .= '<div class="col-md-10 col-md-offset-1">';
		$out .= froday_store_thumbnail();
		$out .= '<h3 class="mb-20">'.get_the_excerpt().'</h3>';
		$out .= get_the_content();
		$out .= '</div>';
		$out .= '<div class="col-md-10 col-md-offset-1">';
		$out .= '<h6 class="color-mid t-uppercase">'.esc_html($translate_clickbelow).'</h6>';
		$out .= '<div class="copy-coupon-wrap">';
		if($mustlogin){
			if(is_user_logged_in()){
				$out .= '<input type="text" value="'.get_the_title().'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
				} else {
				$out .= '<input type="text" value="'.esc_html__('Please Log In','froday').'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
			}
		} else {
			$out .= '<input type="text" value="'.get_the_title().'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
			$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
			$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		if($subscribe_title || $subscribe_subtitle){
		$out .= '<div class="modal-footer footer-info t-center ptb-40 prl-30">';
		$out .= '<h4 class="mb-15">'.esc_html($subscribe_title).'</h4>';
		$out .= '<p class="color-mid mb-20">'.esc_html($subscribe_subtitle).'</p>';
		$out .= do_shortcode('[mc4wp_form id="'.$subscribe_form_id.'"]');
		$out .= '</div>';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		} else {
		$titleid = get_the_title();
		$strid =  preg_replace('/[^a-zA-Z0-9-_\.]/','', $titleid); 

		$out .= '<div class="klb-coupon-item col-sm-6 '.esc_attr($column_count).' pdtop-20 pdbtm-20">';
		$out .= '<div class="coupon-single panel t-center">';
		$out .= '<div class="row">';
		$out .= '<div class="col-xs-12">';
		$out .= '<div class="text-center p-20">';
		$out .= '<img class="store-logo" src="'.esc_url($blog_thumbnail[0]).'" alt="'.esc_attr__('storelogo','klb-shortcode').'">';
		$out .= '</div>';
		$out .= '</div>';

		$out .= '<div class="col-xs-12">';
		$out .= '<div class="panel-body">';
		$out .= '<ul class="deal-meta list-inline mb-10">';
		$out .= froday_location_name();
		$out .= '<li class="color-muted"><i class="ico lnr lnr-store mr-5"></i>'.froday_store_title().'</li>';
		$out .= '</ul>';
		if($discount_type == 'fixed_cart'){
		$out .= '<h4 class="color-green mb-10 t-uppercase">'.get_woocommerce_currency_symbol().$coupon_amount.'</h4>';
		} else {
		$out .= '<h4 class="color-green mb-10 t-uppercase">'.$coupon_amount.''.esc_html__('% OFF','klb-shortcode').'</h4>';
		}
		$out .= '<h5 class="deal-title mb-10">';
		$out .= '<a>'.get_the_excerpt().'</a>';
		$out .= '</h5>';
		if($expiry_date){
		$out .= '<p class="mb-15 color-muted mb-20 font-12"><i class="lnr lnr-clock mr-10"></i>'.esc_html($translate_expires).' '.$expiry_date.'</p>';
		}
		$out .= '<div class="showcode">';
		$out .= '<button class="show-code btn btn-sm btn-block" data-toggle="modal" data-target="#'.esc_attr($custom_id).''.esc_attr($strid.get_the_ID()).'">'.esc_html($translate_showcode).'</button>';

		if($mustlogin){
			if(is_user_logged_in()){
				$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
			} else {
				$out .= '<div class="coupon-hide">'.esc_html__('Please Log In','froday').'</div>';
			}
		} else {
			$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';

?>

<script>
function frodayCopy<?php echo esc_html($custom_id); ?>_<?php echo esc_html($count); ?>() {
  var copyText = document.getElementById("<?php echo esc_html($custom_id); ?><?php echo esc_attr($strid); ?><?php echo esc_html($count); ?>");
  copyText.select();
  document.execCommand("copy");
  copyText.classList.add("copied");
  <?php if($destination_url){ ?>
	window.open('<?php echo esc_url($destination_url); ?>','_blank');
  <?php } ?>
}
</script>

<?php
		$out .= '<div class="modal fade get-coupon-area" tabindex="-1" role="dialog" id="'.esc_attr($custom_id).''.esc_attr($strid.get_the_ID()).'">';
		$out .= '<div class="modal-dialog">';
		$out .= '<div class="modal-content panel">';
		$out .= '<div class="modal-body">';
		$out .= '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
		$out .= '<div class="row row-v-10">';
		$out .= '<div class="col-md-10 col-md-offset-1">';
		$out .= froday_store_thumbnail();
		$out .= '<h3 class="mb-20">'.get_the_excerpt().'</h3>';
		$out .= get_the_content();
		$out .= '</div>';
		$out .= '<div class="col-md-10 col-md-offset-1">';
		$out .= '<h6 class="color-mid t-uppercase">'.esc_html($translate_clickbelow).'</h6>';

		$out .= '<div class="copy-coupon-wrap">';
		if($mustlogin){
			if(is_user_logged_in()){
				$out .= '<input type="text" value="'.get_the_title().'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
				} else {
				$out .= '<input type="text" value="'.esc_html__('Please Log In','froday').'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
			}
		} else {
			$out .= '<input type="text" value="'.get_the_title().'" id="'.esc_attr($custom_id).''.$strid . esc_html($count).'" class="coupon-code" readonly>';
			$out .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
			$out .= '<button onclick="frodayCopy'.esc_attr($custom_id).'_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
		}
		$out .= '</div>';

		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		if($subscribe_title || $subscribe_subtitle){
		$out .= '<div class="modal-footer footer-info t-center ptb-40 prl-30">';
		$out .= '<h4 class="mb-15">'.esc_html($subscribe_title).'</h4>';
		$out .= '<p class="color-mid mb-20">'.esc_html($subscribe_subtitle).'</p>';
		$out .= do_shortcode('[mc4wp_form id="'.$subscribe_form_id.'"]');
		$out .= '</div>';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		}
		
		$count++;
	   endwhile;
		 if($activate_pagination ){
			 ob_start();
			 get_template_part( 'post-format/newpagination' );
			 $out .= '<div class="col-md-12">'. ob_get_clean().'</div>';
		 }
	   wp_reset_query();
	endif;
	
	if($type == 'list'){
	return  '<section class="section coupons-area coupons-area-list">'.$outhead.'<div class="row row-masnory row-tb-20">'.$out.'</div></section>';
	} else { 
	return  '<div class="section coupons-area coupons-area-grid">'.$outhead.'<div class="row row-masnory row-tb-20">'.$out.'</div></div>';
	}

}
add_shortcode('coupon', 'froday_coupon');


/*-----------------------------------------------------------------------------------*/
/*	Froday Taxonomy List
/*-----------------------------------------------------------------------------------*/

function froday_taxonomy_list($atts){
	extract(shortcode_atts(array(
       	'link'           => '',
       	'font_size'      => '12',
		'exclude'       => 'all'
    ), $atts));
    
	global $post,$wp_query;
	$out = '';

	if($exclude == 'all'){
		$terms = get_terms( array(
			'taxonomy' => 'product_cat',
			'hide_empty' => false,
			'parent'    => 0,
		) );
	} else {
		$str = $exclude;
    	$arr = explode(',', $str);

		$terms = get_terms( array(
			'taxonomy' => 'product_cat',
			'hide_empty' => false,
			'parent'    => 0,
			'exclude'   => $arr,
		) );
	}
?>

<style>
.nav-coupon-category li a{
font-size:<?php echo esc_attr($font_size); ?>px;
}
</style>

<?php
	
	$out .= '<aside>';
	$out .= '<ul class="nav-coupon-category panel">';
	foreach ( $terms as $term ) {
		$term_data = get_option('taxonomy_'.$term->term_id);
		$term_children = get_term_children( $term->term_id, 'product_cat' );

		if($term->count >= 1){
		$out .= '<li><a href="'.esc_url(get_term_link( $term )).'"><i class="'.$term_data['product_cat_icon'].'"></i>'.$term->name.'<span>'.$term->count.'</span></a>';
		}
		if($term_children){
			$out .= '<ul class="sub-category">';
			foreach($term_children as $child){
				$childterm = get_term_by( 'id', $child, 'product_cat' );
				$term_data_child = get_option('taxonomy_'.$childterm->term_id);
	
	
				$out .= '<li><a href="' . esc_url(get_term_link( $child, 'product_cat' )) . ' "><i class="'.$term_data_child['product_cat_icon'].'"></i>'.$childterm->name.'<span>'.$childterm->count.'</span></a>';
	
				
	
			}
			$out .= '</ul>';
		}
			$out .= '</li>';
	}
	
	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
	
	if($a_title){
	$out .= '<li class="all-cat">';
	$out .= '<a class="font-14" href="'.esc_attr( $a_href ).'" target="'.esc_attr( $a_target ).'" title="'.esc_attr( $a_title ).'">'.esc_html($a_title).'</a>';
	$out .= '</li>';
	}
	$out .= '</ul>';
	$out .= '</aside>';

	
	return  $out;

}
add_shortcode('taxonomy_list', 'froday_taxonomy_list');


/*-----------------------------------------------------------------------------------*/
/*	Froday Product Slider
/*-----------------------------------------------------------------------------------*/

function froday_product_slider($atts){
	extract(shortcode_atts(array(
       	'posts'           => '8',
       	'categories'      => 'all',
        'filter'    	  => '',
        'column_count'    => '',
        'build_query'     => '',
        'activate_pagination'   => '',
        'subscribe_title'       => '',
        'subscribe_subtitle'    => '',
        'subscribe_form_id'     => '',
        'type'                  => '',
        'autoplay'          => 'false',
        'autoplaytimeout'          => '4000',
        'dataloop'          => 'false',
    ), $atts));
    
	global $post,$wp_query,$product,$woocommerce;
	$out = '';
	$outhead = '';
	$out2 = '';


	list($args) = vc_build_loop_query($build_query);
	$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args['post_type'] = 'product';
	query_posts( $args );
	
	if( have_posts() ) : while ( have_posts() ) : the_post();
		$percentage = '';
		$att=get_post_thumbnail_id();
		$image_src = wp_get_attachment_image_src( $att, 'full' );
		$image_src = $image_src[0];
		
		$product = new WC_Product(get_the_ID());
		$rating = wc_get_rating_html($product->get_average_rating());

		if( $product->is_on_sale() ) {
			$percentage .= '<div class="label-discount top-10 right-10">-';			
			$percentage .= ceil(100 - ($product->get_sale_price() / $product->get_regular_price()) * 100);			
			$percentage .= '%</div>';			
		}


		$out .= '<div class="deal-single panel item">';
		$out .= '<figure class="deal-thumbnail embed-responsive embed-responsive-16by9" data-bg-img="'.esc_url($image_src).'">';
		$out .= '<a href="'.get_the_permalink().'" class="klb-figure-link"></a>';
		$out .= $percentage;
		$out .= '<div class="deal-about p-20 pos-a bottom-0 left-0">';
		$out .= '<div class="rating mb-10">';
		$out .= $rating;
		$out .= '</div>';
		$out .= '<h3 class="deal-title mb-10 ">';
		$out .= '<a href="'.get_the_permalink().'" class="color-light color-h-lighter">'.get_the_title().'</a>';
		$out .= '</h3>';
		$out .= '</div>';
		$out .= '</figure>';
		$out .= '</div>';
		
		
	   endwhile;
	   wp_reset_query();
	endif;
	

	return '<div class="header-deals-slider owl-slider" data-nav="true" data-loop="'.esc_attr($dataloop).'"  data-autoplay="'.esc_attr($autoplay).'" data-autoplay-timeout="'.esc_attr($autoplaytimeout).'">'.$out.'</div>';

}
add_shortcode('product_slider', 'froday_product_slider');


/*-----------------------------------------------------------------------------------*/
/*	Froday Image Box
/*-----------------------------------------------------------------------------------*/

function froday_image_box($atts){
	extract(shortcode_atts(array(
       	'title'          => '',
       	'contentm'       => '',
       	'image_url'      => '',
       	'link'      => '',
    ), $atts));
    
	global $post,$wp_query;
	$out = '';

	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];

	$terms = get_terms( array(
		'taxonomy' => 'product_cat',
		'hide_empty' => false,
	) );
	
	$image_urls = wp_get_attachment_url( $image_url, 'full' );
	$image_resize = froday_resize( $image_urls, 90, 90, true, true, true );
	
	$out .= '<div class="item panel prl-15 ptb-20">';
	if($a_title){
	$out .= '<a class="image-box-btn" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
	}
	$out .= '<div class="row row-rl-5 row-xs-cell">';
	$out .= '<div class="col-xs-4 valign-middle">';
	$out .= '<img class="pr-10" src="'.esc_url($image_resize).'" alt="'.$title.'">';
	$out .= '</div>';
	$out .= '<div class="col-xs-8">';
	$out .= '<h5 class="mb-10 pt-5">'.$title.'</h5>';
	$out .= '<p class="color-mid">'.$contentm.'</p>';
	$out .= '</div>';
	$out .= '</div>';
	$out .= '</div>';

	
	return  $out;

}
add_shortcode('image_box', 'froday_image_box');


/*-----------------------------------------------------------------------------------*/
/*	Froday Latest Products
/*-----------------------------------------------------------------------------------*/

function froday_latest_products($atts){
	extract(shortcode_atts(array(
        'build_query'     => '',
        'activate_pagination'   => '',
        'type'                  => '',
        'link'                  => '',
        'title'                  => '',
        'column_count'          => 'col-md-4',
        'column_count_tablet'          => 'col-sm-6',
        'translate_enable'          => '',
        'translate_week'          => 'Week',
        'translate_weeks'         => 'Weeks',
        'translate_day'           => 'Day',
        'translate_days'          => 'Days',
        'translate_expired'         => 'This offer has expired!',
        'carousel'                  => '',
		'autoplay_timeout' => '10000',
    ), $atts));
    
	global $post,$wp_query,$product,$woocommerce;
	
		wp_enqueue_script('froday-countdown');
		wp_localize_script('froday-countdown', 'translate' , 
		array( 
			'enable' => $translate_enable,
			'week' => $translate_week,
			'day' => $translate_day,
			'day' => $translate_day,
			'days' => $translate_days,
			'expired' => $translate_expired,
		));

	$output = '';
	$outhead = '';
	$percentage = '';

	list($args) = vc_build_loop_query($build_query);
    if(is_front_page()){
	$args['paged'] = (get_query_var('page')) ? get_query_var('page') : 1;
    } else { 
	$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }
	$args['post_type'] = 'product';
	query_posts( $args );
	
	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
	if($a_title || $title){
	$outhead .= '<header class="panel ptb-15 prl-20 pos-r mb-30">';
	$outhead .= '<h3 class="section-title font-18">'.esc_html($title).'</h3>';
	if($a_title){
	$outhead .= '<a class="btn btn-o btn-xs pos-a right-10 pos-tb-center" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
	}
	$outhead .= '</header>';
	}
	if( have_posts() ) : while ( have_posts() ) : the_post();
		$product = new WC_Product(get_the_ID());
		
		$id = get_the_ID();

		$att=get_post_thumbnail_id();
		$image_src = wp_get_attachment_image_src( $att, 'full' );
		$image_src = $image_src[0];
	    $cart_url = wc_get_cart_url();
		$price = $product->get_price_html();
		$sale_price_dates_to    = ( $date = get_post_meta( $id, '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';

		$rating = wc_get_rating_html($product->get_average_rating());

		if( $product->is_on_sale() ) {
			$percentage .= '<div class="label-discount top-10 right-10">-';			
			$percentage .= ceil(100 - ($product->get_sale_price() / $product->get_regular_price()) * 100);			
			$percentage .= '%</div>';			
		}
		
		if($type == 'list'){
			$output .= '<div class="col-md-12">';
			$output .= '<div class="deal-single panel">';
			$output .= '<div class="row row-rl-0 row-sm-cell">';
			$output .= '<div class="col-sm-5">';
			$output .= '<figure class="deal-thumbnail embed-responsive embed-responsive-16by9 col-absolute-cell" data-bg-img="'.esc_url($image_src).'">';
			if($product->get_sale_price()){
			$output .= $percentage;
			}
			$output .= '<div class="time-left bottom-15 right-20 font-md-14 is-hidden-md-up is-hidden-md-down">';
			if($sale_price_dates_to){
			$output .= '<span>';
			$output .= '<i class="ico fa fa-clock-o mr-10"></i>';
			$output .= '<span class="t-uppercase" data-countdown="'.$sale_price_dates_to.'"></span>';
			$output .= '</span>';
			}
			$output .= '</div>';
			$output .= '<div class="deal-store-logo">';
			$output .= froday_store_thumbnail();
			$output .= '</div>';
			$output .= '<a href="'.get_permalink().'" class="klb-figure-link"></a>';
			$output .= '</figure>';
			$output .= '</div>';
			$output .= '<div class="col-sm-7">';
			$output .= '<div class="bg-white pt-20 pl-20 pr-15">';
			$output .= '<div class="pr-md-10">';
			$output .= '<div class="rating mb-10">';
			$output .= $rating;
			$output .= '</div>';
			$output .= '<h3 class="deal-title mb-10">';
			$output .= '<a href="'.get_permalink().'">'.get_the_title().'</a>';
			$output .= '</h3>';
			$output .= '<ul class="deal-meta list-inline mb-10 color-mid">';
			$output .= froday_location_name();
			$output .= '<li><i class="ico fa fa-shopping-basket mr-10"></i>'.froday_store_title().'</li>';
			$output .= '</ul>';
			$output .= '<p class="text-muted mb-20">'.froday_limit_words(get_the_excerpt(), '11').'</p>';
			$output .= '</div>';
			$output .= '<div class="deal-price pos-r mb-15">';
			$output .= '<h3 class="price ptb-5 text-right">'.$price.'</h3>';
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
		} else {
			if(!$carousel){
			$output .= '<div class="'.esc_attr($column_count_tablet).' '.esc_attr($column_count).'">';
			}
			$output .= '<div class="deal-single panel">';
			$output .= '<figure class="deal-thumbnail embed-responsive embed-responsive-16by9" data-bg-img="'.esc_url($image_src).'">';
			if($product->get_sale_price()){
			$output .= $percentage;
			}
			$output .= '<div class="time-left bottom-15 right-20 font-md-14">';
			if($sale_price_dates_to){
			$output .= '<span>';
			$output .= '<i class="ico fa fa-clock-o mr-10"></i>';
			$output .= '<span class="t-uppercase" data-countdown="'.$sale_price_dates_to.'"></span>';
			$output .= '</span>';
			}
			$output .= '</div>';
			$output .= '<div class="deal-store-logo">';
			$output .= froday_store_thumbnail();
			$output .= '</div>';
			$output .= '<a href="'.get_permalink().'" class="klb-figure-link"></a>';
			$output .= '</figure>';
			$output .= '<div class="bg-white pt-20 pl-20 pr-15">';
			$output .= '<div class="pr-md-10">';
			$output .= '<div class="rating mb-10">';
			$output .= $rating;
			$output .= '</div>';
			$output .= '<h3 class="deal-title mb-10">';
			$output .= '<a href="'.get_permalink().'">'.get_the_title().'</a>';
			$output .= '</h3>';
			$output .= '<ul class="deal-meta list-inline mb-10 color-mid">';
			$output .= froday_location_name();
			$output .= '<li><i class="ico fa fa-shopping-basket mr-10"></i>'.froday_store_title().'</li>';
			$output .= '</ul>';
			$output .= '<p class="text-muted mb-20">'.froday_limit_words(get_the_excerpt(), '11').'</p>';
			$output .= '</div>';
			$output .= '<div class="deal-price pos-r mb-15">';
			$output .= '<h3 class="price ptb-5 text-right">'.$price.'</h3>';
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
			if(!$carousel){
			$output .= '</div>';
			}
		}
		
	   endwhile;
		 if($activate_pagination ){
			 ob_start();
			 get_template_part( 'post-format/pagination' );
			 $output .= '<div class="col-md-12">'. ob_get_clean().'</div>';
		 }
	   wp_reset_query();
	endif;
	
	if($carousel){
		return $outhead.'<div class="latest-product-slider owl-slider" data-autoplay-hover-pause="true" data-loop="true" data-autoplay="true" data-smart-speed="1000" data-autoplay-timeout="'.esc_attr($autoplay_timeout).'" data-margin="30" data-nav-speed="false" data-items="1" data-xxs-items="1" data-xs-items="2" data-sm-items="2" data-md-items="3" data-lg-items="4">
							'.$output.'
						 </div>';
	} else {
		return $outhead.'<div class="row row-masnory row-tb-20">
						 	'.$output.'
						 </div>';
	}

}
add_shortcode('latest_products', 'froday_latest_products');


/*-----------------------------------------------------------------------------------*/
/*	Froday Coupon Carousel
/*-----------------------------------------------------------------------------------*/

function froday_coupon_carousel($atts){
	extract(shortcode_atts(array(
       	'link'           => '',
       	'title'           => '',
        'build_query'     => '',
		'translate_showcode' => 'Show Code',
        'translate_expires'     => 'Expires On',
        'translate_clickbelow'  => 'Click below to get your coupon code',
		'translate_off'  => 'OFF',
		'image_width' => '223',
		'image_height' => '148',
		'activate_popup' => '',
		'autoplay_timeout' => '10000',
    ), $atts));
    
	global $post,$wp_query;
	$out = '';
	$outmodal = '';
	$outhead = '';
	$out2 = '';
	
	list($args) = vc_build_loop_query($build_query);
	$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args['post_type'] = 'shop_coupon';
	query_posts( $args );
	

	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
	if($a_title || $title){
	$outhead .= '<header class="panel ptb-15 prl-20 pos-r mb-30">';
	$outhead .= '<h3 class="section-title font-18">'.esc_html($title).'</h3>';
	if($a_title){
	$outhead .= '<a class="btn btn-o btn-xs pos-a right-10 pos-tb-center" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
	}
	$outhead .= '</header>';
	}
	
	$count = 0;
	if( have_posts() ) : while ( have_posts() ) : the_post();
		$mustlogin = get_post_meta( get_the_ID(), 'klb_must_login', true );
		$destination_url = get_post_meta( get_the_ID(), 'klb_coupon_destination_url', true );
		$blog_thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "froday-portfolio-thumb" );
		$blog_image= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "full" );				 
		$image = froday_resize( $blog_image[0], $image_width, $image_height, true, true, true );
		
		$coupon = new WC_Coupon(get_the_ID());
		$expiry_date = $coupon->expiry_date;
		$coupon_amount = get_post_meta( get_the_ID(), 'coupon_amount', true );
		$discount_type = get_post_meta( get_the_ID(), 'discount_type', true );


		$titleid = get_the_title();
		$strid =  preg_replace('/[^a-zA-Z0-9-_\.]/','', $titleid); 
	
		$out .= '<div class="coupon-item">';
		$out .= '<div class="coupon-single panel t-center">';
		$out .= '<div class="row">';
		$out .= '<div class="col-xs-12">';
		$out .= '<div class="text-center p-20">';
		if($image){
		$out .= '<img class="store-logo" src="'.esc_url($image).'" alt="'.esc_attr__('storelogo','klb-shortcode').'">';
		}
		$out .= '</div>';
		$out .= '</div>';

		$out .= '<div class="col-xs-12">';
		$out .= '<div class="panel-body">';
		$out .= '<ul class="deal-meta list-inline mb-10">';
		$out .= froday_location_name();
		$out .= '<li class="color-muted"><i class="ico lnr lnr-store mr-5"></i>'.froday_store_title().'</li>';
		$out .= '</ul>';
		if($discount_type == 'fixed_cart'){
		$out .= '<h4 class="color-green mb-10 t-uppercase">'.get_woocommerce_currency_symbol().$coupon_amount.'</h4>';
		} else {
		$out .= '<h4 class="color-green mb-10 t-uppercase">'.$coupon_amount . esc_html__('%','klb-shortcode').' '.esc_html($translate_off).'</h4>';
		}
		$out .= '<h5 class="deal-title mb-10">';
		$out .= '<a>'.get_the_excerpt().'</a>';
		$out .= '</h5>';
		if($expiry_date){
		$out .= '<p class="mb-15 color-muted mb-20 font-12"><i class="lnr lnr-clock mr-10"></i>'.esc_html($translate_expires).' '.$expiry_date.'</p>';
		}

		if($activate_popup){
			$out .= '<div class="showcode">';
			$out .= '<button class="show-code btn btn-sm btn-block" data-toggle="modal" data-target="#'.esc_attr($strid.get_the_ID()).'">'.esc_html($translate_showcode).'</button>';
			
			if($mustlogin){
				if(is_user_logged_in()){
					$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
				} else {
					$out .= '<div class="coupon-hide">'.esc_html__('Please Log In','froday').'</div>';
				}
			} else {
				$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
			}

			$out .= '</div>';
		} else {
			$out .= '<div class="showcode" data-toggle-class="coupon-showen" data-toggle-event="click">';
			$out .= '<button class="show-code btn btn-sm btn-block" data-toggle="modal" data-target="#coupon_02">'.esc_html($translate_showcode).'</button>';
			if($mustlogin){
				if(is_user_logged_in()){
					$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
				} else {
					$out .= '<div class="coupon-hide">'.esc_html__('Please Log In','froday').'</div>';
				}
			} else {
				$out .= '<div class="coupon-hide">'.get_the_title().'</div>';
			}
			$out .= '</div>';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';
		$out .= '</div>';

if($activate_popup){

?>
<script>
function frodayCopy_<?php echo esc_html($count); ?>() {
  var copyText = document.getElementById("<?php echo esc_attr($strid); ?><?php echo esc_html($count); ?>");
  copyText.select();
  document.execCommand("copy");
  copyText.classList.add("copied");
  <?php if($destination_url){ ?>
	window.open('<?php echo esc_url($destination_url); ?>','_blank');
  <?php } ?>
}


</script>

<?php
		$outmodal .= '<div class="modal fade get-coupon-area" tabindex="-1" role="dialog" id="'.esc_attr($strid.get_the_ID()).'">';
		$outmodal .= '<div class="modal-dialog">';
		$outmodal .= '<div class="modal-content panel">';
		$outmodal .= '<div class="modal-body">';
		$outmodal .= '<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
		$outmodal .= '<div class="row row-v-10">';
		$outmodal .= '<div class="col-md-10 col-md-offset-1">';
		$outmodal .= froday_store_thumbnail();
		$outmodal .= '<h3 class="mb-20">'.get_the_excerpt().'</h3>';
		$outmodal .= get_the_content();
		$outmodal .= '</div>';
		$outmodal .= '<div class="col-md-10 col-md-offset-1">';
		$outmodal .= '<h6 class="color-mid t-uppercase">'.esc_html($translate_clickbelow).'</h6>';

		$outmodal .= '<div class="copy-coupon-wrap">';
		if($mustlogin){
			if(is_user_logged_in()){
				$outmodal .= '<input type="text" value="'.get_the_title().'" id="'.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$outmodal .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$outmodal .= '<button onclick="frodayCopy_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
				} else {
				$outmodal .= '<input type="text" value="'.esc_html__('Please Log In','froday').'" id="'.$strid . esc_html($count).'" class="coupon-code" readonly>';
				$outmodal .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
				$outmodal .= '<button onclick="frodayCopy_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
			}
		} else {
			$outmodal .= '<input type="text" value="'.get_the_title().'" id="'.$strid . esc_html($count).'" class="coupon-code" readonly>';
			$outmodal .= '<p class="clipboard" style="display:none">'.esc_html__('Code copied to clipboard','klb-shortcode').'</p>';
			$outmodal .= '<button onclick="frodayCopy_'.$count.'()">'.esc_html__('Copy Coupon','froday').'</button>';
		}
		$outmodal .= '</div>';

		$outmodal .= '</div>';
		$outmodal .= '</div>';
		$outmodal .= '</div>';
		if($subscribe_title || $subscribe_subtitle){
		$outmodal .= '<div class="modal-footer footer-info t-center ptb-40 prl-30">';
		$outmodal .= '<h4 class="mb-15">'.esc_html($subscribe_title).'</h4>';
		$outmodal .= '<p class="color-mid mb-20">'.esc_html($subscribe_subtitle).'</p>';
		$outmodal .= do_shortcode('[mc4wp_form id="'.$subscribe_form_id.'"]');
		$outmodal .= '</div>';
		}
		$outmodal .= '</div>';
		$outmodal .= '</div>';
		$outmodal .= '</div>';



	   $count++;
}
	   endwhile;
	   wp_reset_query();
	endif;

	return  $outhead.'<div class="latest-coupons-slider owl-slider" data-autoplay-hover-pause="true" data-loop="true" data-autoplay="true" data-smart-speed="1000" data-autoplay-timeout="'.esc_attr($autoplay_timeout).'" data-margin="30" data-nav-speed="false" data-items="1" data-xxs-items="1" data-xs-items="2" data-sm-items="2" data-md-items="3" data-lg-items="4">'.$out.'</div>'.$outmodal;

}
add_shortcode('coupon_carousel', 'froday_coupon_carousel');


/*-----------------------------------------------------------------------------------*/
/*	Froday Stores Carousel
/*-----------------------------------------------------------------------------------*/

function froday_stores_carousel($atts){
	extract(shortcode_atts(array(
       	'link'           => '',
       	'title'           => '',
        'build_query'     => '',
		'image_width' => '87',
		'image_height' => '87',
		'post_count'   => '12',
		'autoplay_timeout' => '10000',
    ), $atts));
    
	global $post,$wp_query;
	$out = '';
	$outhead = '';
	$out2 = '';

	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
	if($a_title || $title){
	$outhead .= '<header class="panel ptb-15 prl-20 pos-r mb-30">';
	$outhead .= '<h3 class="section-title font-18">'.esc_html($title).'</h3>';
	if($a_title){
	$outhead .= '<a class="btn btn-o btn-xs pos-a right-10 pos-tb-center" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
	}
	$outhead .= '</header>';
	}
	
	
		$terms = get_terms( array(
			'taxonomy' => 'store',
			'hide_empty' => false,
			'number' => $post_count,
		) );
		
		foreach($terms as $term){
		$out .= '<div class="store-item t-center">';
		$out .= '<a href="'.esc_url(get_term_link( $term )).'" class="panel is-block">';
		$out .= '<div class="embed-responsive embed-responsive-4by3">';
		$out .= '<div class="store-logo">';
		
		$term_data = get_option('taxonomy_'.$term->term_id);
		if(isset($term_data['store_thumbnail'])){
		$image = froday_resize( wp_get_attachment_url( $term_data['store_thumbnail'] ), $image_width, $image_height, true, true, true );
			
		$out .= '<img src="'.esc_url($image).'" alt="'.$term->name.'"/>';

		}
		
		$out .= '</div>';
		$out .= '</div>';
		$out .= '<h6 class="store-name ptb-10">'.$term->name.'</h6>';
		$out .= '</a>';
		$out .= '</div>';
		
		}

		
	return  '<section class="stores-area-v1">'.$outhead . ' <div class="popular-stores-slider owl-slider" data-loop="true" data-autoplay="true" data-smart-speed="1000" data-autoplay-timeout="'.esc_attr($autoplay_timeout).'" data-margin="20" data-items="2" data-xxs-items="2" data-xs-items="2" data-sm-items="3" data-md-items="5" data-lg-items="6"> '. $out .'</div></section>';

}
add_shortcode('stores_carousel', 'froday_stores_carousel');


/*-----------------------------------------------------------------------------------*/
/*	Froday Stores Grid
/*-----------------------------------------------------------------------------------*/

function froday_stores_grid($atts){
	extract(shortcode_atts(array(
       	'title'           => '',
        'build_query'     => '',
		'include'       => 'all'
    ), $atts));
    
	global $post,$wp_query;
	$out = '';
	$outhead = '';

		$outhead .= '<h3 class="mb-40 t-uppercase">'.esc_html($title).'</h3>';
	
	if($include == 'all'){
		$terms = get_terms( array(
			'taxonomy' => 'store',
			'hide_empty' => false,
		) );
	} else {
		$str = $include;
    	$arr = explode(',', $str);

		$terms = get_terms( array(
			'taxonomy' => 'store',
			'hide_empty' => false,
			'include'   => $arr,
		) );
	}
		
		foreach($terms as $term){
		$out .= '<div class="col-xs-6 col-sm-4 col-md-3 col-lg-2">';
		$out .= '<a href="'.esc_url(get_term_link( $term )).'" class="panel is-block">';
		$out .= '<div class="embed-responsive embed-responsive-4by3">';
		$out .= '<div class="store-logo">';
		$term_data = get_option('taxonomy_'.$term->term_id);
		if(isset($term_data['store_thumbnail'])){
		$out .= '<img src="'.wp_get_attachment_url( $term_data['store_thumbnail'] ).'" alt="'.$term->name.'">';
		}
		$out .= '</div>';
		$out .= '</div>';
		$out .= '<h6 class="store-name ptb-10">'.$term->name.'</h6>';
		$out .= '</a>';
		$out .= '</div>';
		}

		
	return  '<section class="stores-area stores-area-v1">'.$outhead . '<div class="row row-rl-15 row-tb-15 t-center">'. $out .'</div></section>';

}
add_shortcode('stores_grid', 'froday_stores_grid');

/*-----------------------------------------------------------------------------------*/
/*	Froday Latest Blog
/*-----------------------------------------------------------------------------------*/

function froday_latest_blog($atts){
	extract(shortcode_atts(array(
        'build_query'     => '',
        'activate_pagination'   => '',
        'type'                  => '',
        'link'                  => '',
        'title'                  => '',
        'column_count'          => 'col-md-4',
        'excerpt_size'          => '15',
		'translate_readmore'    => 'Continue reading',
		'translate_by'          => 'By:',
		'translate_comments'    => 'Comments',
    ), $atts));
    
	global $post,$wp_query;
	
	$output = '';
	$outhead = '';

	list($args) = vc_build_loop_query($build_query);
    if(is_front_page()){
		$args['paged'] = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
		$args['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }
	query_posts( $args );
	
	$link = ( '||' === $link ) ? '' : $link;
	$link = vc_build_link( $link );
	$a_href = $link['url'];
	$a_title = $link['title'];
	$a_target = $link['target'];
	if($a_title || $title){
	$outhead .= '<header class="panel ptb-15 prl-20 pos-r mb-30">';
	$outhead .= '<h3 class="section-title font-18">'.esc_html($title).'</h3>';
	if($a_title){
	$outhead .= '<a class="btn btn-o btn-xs pos-a right-10 pos-tb-center" href="'.esc_url($a_href).'" title="'.esc_attr($a_title).'" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
	}
	$outhead .= '</header>';
	}
	if( have_posts() ) : while ( have_posts() ) : the_post();
	
	$blog_image= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "full" );				 
	$imageresize = froday_resize( $blog_image[0], 750, 500, true, true, true );   

	$output .= '<div class="blog-post col-xs-12 col-sm-6 '.esc_attr($column_count).'">';
	$output .= '<article class="entry panel">';
	$output .= '<figure class="entry-media post-thumbnail embed-responsive embed-responsive-16by9" data-bg-img="'.$blog_image[0].'">';
	$output .= '<a href="'.get_the_permalink().'" class="klb-figure-link"></a>';
	$output .= '<div class="entry-date">';
	$output .= '<h4>'.get_the_date('j').'</h4>';
	$output .= '<h6>'.get_the_date('M').'</h6>';
	$output .= '</div>';
	$output .= '<a href="'.get_permalink().'" class="klb-figure-link"></a>';
	$output .= '</figure>';
	$output .= '<div class="entry-wrapper pt-20 pb-10 prl-20">';
	$output .= '<header class="entry-header">';
	$output .= '<h4 class="entry-title mb-10 mb-md-15 font-xs-16 font-sm-18 font-md-16 font-lg-16">';
	$output .= '<a href="'.get_permalink().'">'.get_the_title().'</a>';
	$output .= '</h4>';
	$output .= '<div class="entry-meta mb-10">';
	$output .= '<ul class="tag-info list-inline">';
	$output .= '<li><i class="icon fa fa-user"></i> '.esc_html($translate_by).' '.get_the_author().'</li>';
	$output .= '<li><i class="icon fa fa-comments"></i>'.get_comments_number().' '.esc_html($translate_comments).' </li>';
	$output .= '</ul>';
	$output .= '</div>';
	$output .= '</header>';
	$output .= '<div class="entry-content">';
	$output .= '<p class="entry-summary">'.froday_limit_words(get_the_excerpt(), $excerpt_size).'</p>';
	$output .= '</div>';
	$output .= '<footer class="entry-footer text-right">';
	$output .= '<a href="'.get_permalink().'" class="more-link btn btn-link">'.esc_html($translate_readmore).' <i class="icon fa fa-long-arrow-right"></i></a>';
	$output .= '</footer>';
	$output .= '</div>';
	$output .= '</article>';
	$output .= '</div>';
							
	   endwhile;
		 if($activate_pagination ){
			 ob_start();
			 get_template_part( 'post-format/pagination' );
			 $output .= '<div class="col-md-12">'. ob_get_clean().'</div>';
		 }
	   wp_reset_query();
	endif;
	

	return $outhead.'<div class="row row-tb-20">'.$output.'</div>';

}
add_shortcode('latest_blog', 'froday_latest_blog');


/*-----------------------------------------------------------------------------------*/
/*  froday Map Container
/*-----------------------------------------------------------------------------------*/

function froday_map_container( $atts, $content = null ) {	
$css = '';
 	extract(shortcode_atts(array(
       	'latitude'      => '51.5209564',
       	'longitude' => '0.157134',
        'zoom'      => '10',
        'css' => '',
        'height' => '400',	
        'mapimage' => '',	
    ), $atts)); 
	$image_urls = wp_get_attachment_url( $mapimage, 'full' );	
    wp_enqueue_script('googlemap');
?>

<script type="text/javascript">
jQuery(document).ready(function() {
function initialize() {
    var latlng = new google.maps.LatLng(<?php echo esc_attr($latitude); ?>,<?php echo esc_attr($longitude); ?>);
    var myOptions = {
        zoom: <?php echo esc_attr($zoom); ?>,
        center: latlng,
        scrollwheel: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };

    var map = new google.maps.Map(document.getElementById("map"),
            myOptions);

  var marker = new google.maps.Marker({
    position: {lat: <?php echo esc_attr($latitude); ?>, lng: <?php echo esc_attr($longitude); ?>},
    map: map
  });
}
google.maps.event.addDomListener(window, "load", initialize);
});
</script>

<?php 
            $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts );

	        $output = '';
			
            $output .= '<div class="contact-map '.esc_attr( $css_class ).'">
                <div id="map" class="google-map" style="height:'.esc_attr($height).'px;"></div>
            </div>';

   return $output;

}

add_shortcode('map_container', 'froday_map_container');


/*-----------------------------------------------------------------------------------*/
/*	Froday Icon List
/*-----------------------------------------------------------------------------------*/

function froday_icon_list($atts){
	extract(shortcode_atts(array(
       	'values'      => '',
       	'title'          => '',
       	'contentm'       => '',
		'icon_fontawesome'    => '',
    ), $atts));
    
	$out = '';

	
	$values = (array) vc_param_group_parse_atts($values);
	$out .= '';
	vc_icon_element_fonts_enqueue( 'fontawesome' );
	foreach($values as $v){
	$out .= '<li>';
	$out .= '<span class="icon '.esc_attr($v['icon_fontawesome']).'"></span>';
	$out .= '<h5>'.esc_html($v['title']).'</h5>';
	$out .= '<p class="color-mid">'.$v['contentm'].'</p>';
	$out .= '</li>';
	}
	
	return  '<ul class="contact-list mb-40 klbcontact">'.$out.'</ul>';

}
add_shortcode('icon_list', 'froday_icon_list');


/*-----------------------------------------------------------------------------------*/
/*	Froday Title
/*-----------------------------------------------------------------------------------*/

function froday_title($atts){
	extract(shortcode_atts(array(
       	'title'          => '',
    ), $atts));

	$out  = '<h3 class="t-uppercase h-title mb-20">';
	$out .= $title;
	$out .= '</h3>';
	
	return  $out;

}
add_shortcode('title', 'froday_title');


/*-----------------------------------------------------------------------------------*/
/*	Br-Tag
/*-----------------------------------------------------------------------------------*/

function froday_br() {
   return '<br />';
}

add_shortcode('br', 'froday_br');