<?php
    /*
    Plugin Name: Klb Shortcode
    Plugin URI: http://themeforest.net/user/klbtheme/portfolio
    Description: Plugin for displaying theme shortcodes.
    Author: KlbTheme
    Domain Path: /languages
    Text Domain: klb-shortcode
    Version: 1.9.2
    Author URI: http://themeforest.net/user/klbtheme/portfolio
    */
	
	
	require_once('inc/klb-shortcode.php');	
	require_once('inc/aq_resizer.php');	
	require_once('inc/post_view.php');	
	require_once('inc/style.php');	
	require_once('taxonomy/location_taxonomy.php');
	require_once('taxonomy/product_cat.php');
	require_once('taxonomy/store_taxonomy.php');
	require_once('widgets/popular_posts.php');
	require_once('widgets/seller_single_product.php');
	
	if ( ! function_exists( 'klbshortcode' ) ) {
		function klbshortcode() {
		}
	}

	function klb_shortcode_load_plugin_textdomain() {
	    load_plugin_textdomain( 'klb-shortcode', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}
	add_action( 'plugins_loaded', 'klb_shortcode_load_plugin_textdomain' );


/*************************************************
## Rewrite Slug
*************************************************/ 

function froday_change_custom_taxonomy_slug_args( $taxonomy, $object_type, $args ){
	if(ot_get_option('froday_store_taxonomy')){
	    if( 'store' == $taxonomy ){ // Instead of the "old-slug", add current slug, which you want to change.
	        remove_action( current_action(), __FUNCTION__ );
	        $args['rewrite'] = array( 'slug' => ot_get_option('froday_store_taxonomy') ); // Instead of the "new-slug", add a new slug name.
	        register_taxonomy( $taxonomy, $object_type, $args );
	    }
	}
}
add_action( 'registered_taxonomy', 'froday_change_custom_taxonomy_slug_args', 10, 3 );